import processing.serial.*;
import ddf.minim.*;

Serial myPort;
Minim minim;
AudioPlayer player;
AudioInput input;

int lf = 10;
int play_mnt = 0;
int night_mnt = 1;
PImage img;

void setup(){
  size(1200,600,P3D);                   //Size of the pop-up window
  myPort = new Serial(this,"COM6",9600); //Your port
  textAlign(BOTTOM, CENTER); //Location of the text
  fill(255);
  textSize(25);                         //The size of the text
  minim = new Minim(this);
  player = minim.loadFile("sample_night.mp3");
  input = minim.getLineIn();
}
 
void draw(){
  while(myPort.available() > 0){
    String str = myPort.readStringUntil(lf);

    if(str!=null){
      int value = Integer.parseInt(trim(str));
      
       if (value >250) {
        print("Night = ");
        println(value);
        background(0,0,0);
        img = loadImage("night.jpg");
        image(img, 300, 150);
        fill(255);
        text("let's spend the night together!",300,480);
        noStroke();

        if (play_mnt==0 && night_mnt==1) {
          player.play();
          play_mnt = 1;}
        else if (play_mnt==1 && night_mnt==0) {
          player.close();
          player = minim.loadFile("sample_night.mp3");
          player.play();}
        night_mnt = 1;
       } 
       else{
        print("Day = ");
        println(value);
        background(255,255,255);
        img = loadImage("day.png");
        image(img, 300, 150);
        fill(0);
        text("here comes the sun, taratara...",300,480);

        if (play_mnt==1 && night_mnt==1) {
          player.close();
          player = minim.loadFile("sample_day.mp3");
          player.play();}
        night_mnt = 0;
       }
    }
  }
}
